[coreboot-gerrit] Patch set updated for coreboot: lint: Move the lint script out of Makefile.inc

Martin Roth (martinroth@google.com) gerrit at coreboot.org
Thu Oct 15 18:09:50 CEST 2015


Martin Roth (martinroth at google.com) just uploaded a new patch set to gerrit, which you can find at http://review.coreboot.org/11890

-gerrit

commit 7398ab7aa0115c20cfb21e238049e00bec487288
Author: Martin Roth <martinroth at google.com>
Date:   Tue Oct 13 13:40:59 2015 -0600

    lint: Move the lint script out of Makefile.inc
    
    In preparation for adding junit xml to the lint tests, move the
    script out of Makefile.inc and into its own file.
    
    Add a copyright, usage, and error checking that was not needed
    inside the Makefile.
    
    Change-Id: I32bebc6a5f1f6fa652812c8a014d84006e2e6c8a
    Signed-off-by: Martin Roth <martinroth at google.com>
---
 Makefile.inc   | 19 +------------------
 util/lint/lint | 51 +++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 52 insertions(+), 18 deletions(-)

diff --git a/Makefile.inc b/Makefile.inc
index 0053dfb..1c81c69 100644
--- a/Makefile.inc
+++ b/Makefile.inc
@@ -424,24 +424,7 @@ update:
 	dongle.py -c /dev/term/1 $(obj)/coreboot.rom EOF
 
 lint lint-stable:
-	FAILED=0; LINTLOG=`mktemp .tmpconfig.lintXXXXX`; \
-	for script in util/lint/$@-*; do \
-		echo; echo `basename $$script`; \
-		grep "^# DESCR:" $$script | sed "s,.*DESCR: *,," ; \
-		echo ========; \
-		$$script > $$LINTLOG; \
-		if [ `cat $$LINTLOG | wc -l` -eq 0 ]; then \
-			printf "success\n\n"; \
-		else \
-			echo test failed: ; \
-			cat $$LINTLOG; \
-			rm -f $$LINTLOG; \
-			FAILED=$$(( $$FAILED + 1 )); \
-		fi; \
-		echo ========; \
-	done; \
-	test $$FAILED -eq 0 || { echo "ERROR: $$FAILED test(s) failed."; rm -f $$LINTLOG && exit 1; }; \
-	rm -f $$LINTLOG
+	util/lint/lint $@
 
 gitconfig:
 	[ -d .git ]
diff --git a/util/lint/lint b/util/lint/lint
new file mode 100755
index 0000000..ea8b0e6
--- /dev/null
+++ b/util/lint/lint
@@ -0,0 +1,51 @@
+#!/usr/bin/env sh
+#
+# This file is part of the coreboot project.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc.
+#
+#set -x # uncomment for debug
+
+usage () {
+	printf "Usage: %s <lint|lint-stable>\n" "$0"
+}
+
+if [ -z "$1" ] || [ "$1" != "lint" ] && [ "$1" != "lint-stable" ]; then
+	usage
+	exit 1
+fi
+
+LINTLOG=`mktemp .tmpconfig.lintXXXXX`;
+FAILED=0;
+
+for script in util/lint/${1}-*; do
+	echo
+	echo "$(basename $script)"
+	grep "^# DESCR:" $script | sed "s,.*DESCR: *,,"
+	echo "========"
+	$script > $LINTLOG
+	if [ `cat $LINTLOG | wc -l` -eq 0 ]; then
+		echo "success"
+	else
+		echo "test failed:"
+		cat $LINTLOG
+		rm -f $LINTLOG
+		FAILED=$(( $FAILED + 1 ))
+	fi
+	echo "========"
+done
+
+test $FAILED -eq 0 || { echo "ERROR: $FAILED test(s) failed."; rm -f $LINTLOG && exit 1; };
+rm -f $LINTLOG
+



More information about the coreboot-gerrit mailing list